curl --request POST \
--url https://api.inworld.ai/knowledge/v1alpha/{parent}/knowledge:find \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge": [
"workspaces/example/knowledge/faq"
],
"searchQuery": {
"textQuery": "refund policy"
}
}
'{
"records": [
{
"text": "<string>"
}
]
}Query knowledge
Find knowledge records from the specified knowledge collections relevant to the input query. Can only be called for knowledge collections in the workspace associated with the provided API key. The query may return zero or more relevant records based on the search term provided in search_query.text_query.
curl --request POST \
--url https://api.inworld.ai/knowledge/v1alpha/{parent}/knowledge:find \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"knowledge": [
"workspaces/example/knowledge/faq"
],
"searchQuery": {
"textQuery": "refund policy"
}
}
'{
"records": [
{
"text": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.inworld.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Should follow the format Basic {credentials}. The {credentials} consists of the Base64-encoded string of the API key and the secret in the format key:secret
Path Parameters
The workspace that owns the knowledge collections. Format: workspaces/{workspace}.
workspaces/[^/]+Body
Response
A successful response.
Response containing the retrieved knowledge records.
List of retrieved knowledge records.
Show child attributes
Show child attributes
Was this page helpful?